# Define version and release number
%define php_common_major 8
%define php_common_sub 3
%define phplong %{php_common_major}.%{php_common_sub}
%define modname dbase
%define soname %{modname}.so
%define inifile B04_%{modname}.ini
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)


Summary:	dBase database file access functions
Name:		php-%{modname}
Epoch:		2
Version:	7.0.1
Release:	%mkrel 13
Group:		Development/PHP
License:	PHP License
URL:		https://pecl.php.net/package/dbase
Source0:	https://pecl.php.net/get/%{modname}-%{version}.tgz
Source1:	%{modname}.ini
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	php-devel >= 3:%{phplong}.0

%description
%{modname}

%package -n php%{phplong}-%{modname}
Summary:	dBase database file access functions
Group:		Development/PHP
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{epoch}:%{version}

%description -n php%{phplong}-%{modname}
This package provides an interface for communicating with the dbase database
in PHP.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

cp %{SOURCE1} %{inifile}

%build
%serverbuild

phpize
%configure --with-libdir=%{_lib}
%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{extdir}/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%files -n php%{phplong}-%{modname}
%doc CREDITS package*.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}


%changelog
* Thu Feb 15 2024 mokraemer <mokraemer> 2:7.0.1-13.mga9
+ Revision: 2041677
- support multiversioned php

* Fri Sep 08 2023 mokraemer <mokraemer> 2:7.0.1-12.mga10
+ Revision: 1985201
- rebuild for php 8.3

* Fri Nov 04 2022 mokraemer <mokraemer> 2:7.0.1-11.mga9
+ Revision: 1902343
+ rebuild (emptylog)

* Wed Aug 24 2022 mokraemer <mokraemer> 2:7.0.1-10.mga9
+ Revision: 1879767
- update extension for new directories

* Fri Jul 22 2022 mokraemer <mokraemer> 2:7.0.1-9.mga9
+ Revision: 1869987
- fix dependancy error

* Fri Jul 22 2022 mokraemer <mokraemer> 2:7.0.1-8.mga9
+ Revision: 1869963
- rel bump
- rebuild for php 8.2

* Thu Mar 17 2022 umeabot <umeabot> 2:7.0.1-7.mga9
+ Revision: 1796802
- Mageia 9 Mass Rebuild

* Fri Nov 26 2021 mokraemer <mokraemer> 2:7.0.1-6.mga9
+ Revision: 1759401
- rebuild for php 8.1

* Sun Nov 29 2020 mokraemer <mokraemer> 2:7.0.1-5.mga8
+ Revision: 1650243
+ rebuild (emptylog)

* Thu Jun 18 2020 mokraemer <mokraemer> 2:7.0.1-4.mga8
+ Revision: 1596246
- fix dep to current version

* Tue Feb 18 2020 umeabot <umeabot> 2:7.0.1-3.mga8
+ Revision: 1538981
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 2:7.0.1-2.mga8
+ Revision: 1463557
+ rebuild (emptylog)

* Mon Oct 21 2019 mokraemer <mokraemer> 2:7.0.1-1.mga8
+ Revision: 1454912
- new version 7.0.1

* Wed Dec 12 2018 mokraemer <mokraemer> 2:7.0.0-3.beta2.mga7
+ Revision: 1340428
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 2:7.0.0-2.beta2.mga7
+ Revision: 1325831
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 2:7.0.0-1.beta2.mga7
+ Revision: 1300212
- Mageia 7 Mass Rebuild

* Mon Dec 04 2017 mokraemer <mokraemer> 2:7.0.0-1.beta1.mga7
+ Revision: 1181100
- rebuild for php 7.2
+ zezinho <zezinho>
- fix version

* Sun Nov 12 2017 zezinho <zezinho> 1:7.0.0beta1-1.mga7
+ Revision: 1177083
- new version

* Fri Feb 12 2016 umeabot <umeabot> 1:5.1.0-10.mga6
+ Revision: 958343
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:5.1.0-9.mga5
+ Revision: 748990
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:5.1.0-8.mga5
+ Revision: 687113
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 1:5.1.0-7.mga5
+ Revision: 616543
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 1:5.1.0-6.mga4
+ Revision: 567675
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 1:5.1.0-5.mga4
+ Revision: 527792
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 1:5.1.0-4.mga4
+ Revision: 442627
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 1:5.1.0-3.mga3
+ Revision: 393255
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1:5.1.0-2.mga3
+ Revision: 375731
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 31 2012 fwang <fwang> 1:5.1.0-1.mga3
+ Revision: 276469
- new version 5.1.0

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:5.0.1-2.mga2
+ Revision: 223876
- httpd restart is handled by filetriggers now

* Wed Jan 04 2012 fwang <fwang> 1:5.0.1-1.mga2
+ Revision: 190232
- imported package php-dbase

